## qt6-websockets 6.9.1

=== debian/changelog ===
qt6-websockets (6.9.1-0zneon+24.04+noble+stable+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 15:34:48 +0000

qt6-websockets (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:58:05 +1000

qt6-websockets (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:41:30 +1000

qt6-websockets (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:30:57 +1000

qt6-websockets (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:53:26 +1000

qt6-websockets (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:02:11 +1000

qt6-websockets (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:42:52 +1000

qt6-websockets (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 09:54:27 +1000

qt6-websockets (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 13:04:18 +1000

qt6-websockets (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 06:59:48 +0100

=== debian/control ===
Source: qt6-websockets
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-websockets.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-websockets
Maintainer: Neon CI <neon@kde.org>

Package: qt6-websockets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt6-websockets-private-abi (= 6.9.1)
Replaces: libqt6websockets6, qml6-module-qtwebsockets
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qt6-websockets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-websockets (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6websockets6-dev (<< 6.4.2)
Replaces: libqt6websockets6-dev,
          qt6-websockets-doc-dev,
          qt6-websockets-examples,
          qt6-websockets-private-dev
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

Package: qt6-websockets-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-websockets-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-websockets-doc-html
Description: Qt 6 WebSockets library - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation to help build Qt applications
 using Qt 6 WebSockets library.

Package: libqt6websockets6
Architecture: all
Depends: qt6-websockets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6websockets6-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebsockets
Architecture: all
Depends: qt6-websockets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-private-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-doc-html
Architecture: all
Depends: qt6-websockets-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-doc-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-examples
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtwebsockets-everywhere-src-([\d\.]+\d).tar.xz

## qt6-websockets 6.9.2

=== tests/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from tests.pro.

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()

qt_build_tests()

=== src/websockets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from websockets.pro.

#####################################################################
## WebSockets Module:
#####################################################################

qt_internal_add_module(WebSockets
    SOURCES
        qdefaultmaskgenerator_p.cpp qdefaultmaskgenerator_p.h
        qmaskgenerator.cpp qmaskgenerator.h
        qwebsocket.cpp qwebsocket.h qwebsocket_p.cpp qwebsocket_p.h
        qwebsocketcorsauthenticator.cpp qwebsocketcorsauthenticator.h qwebsocketcorsauthenticator_p.h
        qwebsocketdataprocessor.cpp qwebsocketdataprocessor_p.h
        qwebsocketframe.cpp qwebsocketframe_p.h
        qwebsockethandshakeoptions.cpp qwebsockethandshakeoptions.h qwebsockethandshakeoptions_p.h
        qwebsockethandshakerequest.cpp qwebsockethandshakerequest_p.h
        qwebsockethandshakeresponse.cpp qwebsockethandshakeresponse_p.h
        qwebsocketprotocol.cpp qwebsocketprotocol.h qwebsocketprotocol_p.h
        qwebsockets_global.h
        qwebsocketserver.cpp qwebsocketserver.h qwebsocketserver_p.cpp qwebsocketserver_p.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

#### Keys ignored in scope 1:.:.:websockets.pro:<TRUE>:
# OTHER_FILES = "doc/src/*.qdoc" "doc/snippets/*.cpp" "doc/qtwebsockets.qdocconf"

## Scopes:
#####################################################################

qt_internal_extend_target(WebSockets CONDITION WASM
    SOURCES
        qwebsocket_wasm_p.cpp
    LIBRARIES
        websocket.js
)

qt_internal_add_docs(WebSockets
    doc/qtwebsockets.qdocconf
)

=== examples/websockets/simplechat/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(simplechatserver LANGUAGES CXX)

if (ANDROID)
    message(FATAL_ERROR "This project cannot be built on Android.")
endif()

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/websockets/simplechat")

find_package(Qt6 REQUIRED COMPONENTS WebSockets)

qt_add_executable(simplechatserver
    chatserver.cpp chatserver.h
    main.cpp
)

set_target_properties(simplechatserver PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE FALSE
)

target_link_libraries(simplechatserver PUBLIC
    Qt::WebSockets
)

install(TARGETS simplechatserver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/imports/qmlwebsockets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(qmlwebsockets
    URI "QtWebSockets"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    CLASS_NAME QtWebSocketsDeclarativeModule
    PLUGIN_TARGET qmlwebsockets
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    SOURCES
        qmlwebsockets_plugin.cpp qmlwebsockets_plugin.h
        qqmlwebsocket.cpp qqmlwebsocket.h
        qqmlwebsocketserver.cpp qqmlwebsocketserver.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::CorePrivate
        Qt::QmlPrivate
        Qt::WebSockets
    NO_GENERATE_CPP_EXPORTS
)

=== tests/auto/qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qml.pro.

if(NOT UIKIT)
    add_subdirectory(qmlwebsockets)
endif()

=== tests/auto/websockets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from websockets.pro.

add_subdirectory(qwebsocketcorsauthenticator)
add_subdirectory(qwebsocket)
add_subdirectory(qwebsocketserver)
if(QT_FEATURE_private_tests)
    add_subdirectory(websocketprotocol)
    add_subdirectory(dataprocessor)
    add_subdirectory(websocketframe)
    add_subdirectory(handshakerequest)
    add_subdirectory(handshakeresponse)
    add_subdirectory(qdefaultmaskgenerator)
endif()

=== tests/auto/qml/qmlwebsockets/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmlwebsockets.pro.

#####################################################################
## tst_qmlwebsockets Test:
#####################################################################
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    *.qml)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qmlwebsockets
    QMLTEST
    SOURCES
        tst_qmlwebsockets.cpp
    LIBRARIES
        Qt::Gui
    TESTDATA ${test_data}
)

#### Keys ignored in scope 1:.:.:qmlwebsockets.pro:<TRUE>:
# DEPLOYMENT = "importFiles"
# TEMPLATE = "app"
# importFiles.path = "."

=== tests/auto/websockets/handshakerequest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from handshakerequest.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_handshakerequest Test:
#####################################################################

qt_internal_add_test(tst_handshakerequest
    SOURCES
        tst_handshakerequest.cpp
    LIBRARIES
        Qt::NetworkPrivate
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:handshakerequest.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== tests/auto/websockets/handshakeresponse/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from handshakeresponse.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_handshakeresponse Test:
#####################################################################

qt_internal_add_test(tst_handshakeresponse
    SOURCES
        tst_handshakeresponse.cpp
    LIBRARIES
        Qt::NetworkPrivate
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:handshakeresponse.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== tests/auto/websockets/websocketframe/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from websocketframe.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_websocketframe Test:
#####################################################################

qt_internal_add_test(tst_websocketframe
    SOURCES
        tst_websocketframe.cpp
    LIBRARIES
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:websocketframe.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== tests/auto/websockets/websocketprotocol/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from websocketprotocol.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_websocketprotocol Test:
#####################################################################

qt_internal_add_test(tst_websocketprotocol
    SOURCES
        tst_websocketprotocol.cpp
    LIBRARIES
        Qt::WebSocketsPrivate
)

#### Keys ignored in scope 1:.:.:websocketprotocol.pro:<TRUE>:
# TEMPLATE = "app"
# _REQUIREMENTS = "qtConfig(private_tests)"

=== debian/changelog ===
qt6-websockets (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the Provides for libqt6websockets6-dev as no package depends
    on it any more.
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Oct 2025 22:41:54 +0100

qt6-websockets (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:00:43 +0200

qt6-websockets (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Sep 2025 19:34:37 +0200

qt6-websockets (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 18:43:02 +0200

qt6-websockets (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Jul 2025 18:58:52 +0200

=== debian/control ===
Source: qt6-websockets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git

Package: libqt6websockets6
Provides: qt6-websockets-private-abi (= 6.9.2),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qml6-module-qtwebsockets
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 WebSockets QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Web Sockets QML module.

Package: qt6-websockets-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6websockets6 (= ${binary:Version}),
         qml6-module-qtwebsockets (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6websockets6-dev (<< 6.4.0-2~),
Replaces: libqt6websockets6-dev (<< 6.4.0-2~),
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

Package: qt6-websockets-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-websockets-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 WebSockets library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private development header files needed
 to build Qt applications using Qt 6 WebSockets library.
 .
 Use at your own risk.

Package: qt6-websockets-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 web sockets documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 web sockets.

Package: qt6-websockets-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 web sockets HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 web sockets.

Package: qt6-websockets-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 websockets tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt web sockets
 documentation.

Package: qt6-websockets-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 web sockets examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt web sockets submodule.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-websockets 6.9.3

=== debian/changelog ===
qt6-websockets (6.9.3-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 16 Nov 2025 02:01:02 +0000

qt6-websockets (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-websockets (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:02:39 +1000

## qt6-websockets 6.10.0

=== debian/changelog ===
qt6-websockets (6.10.0-0zneon+24.04+noble+unstable+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 08:58:43 +0000

qt6-websockets (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:51 +1000

=== debian/control ===
Source: qt6-websockets
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-websockets.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-websockets
Maintainer: Neon CI <neon@kde.org>

Package: qt6-websockets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt6-websockets-private-abi (= 6.10.0)
Replaces: libqt6websockets6, qml6-module-qtwebsockets
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qt6-websockets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-websockets (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6websockets6-dev (<< 6.4.2)
Replaces: libqt6websockets6-dev,
          qt6-websockets-doc-dev,
          qt6-websockets-examples,
          qt6-websockets-private-dev
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

Package: qt6-websockets-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-websockets-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-websockets-doc-html
Description: Qt 6 WebSockets library - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation to help build Qt applications
 using Qt 6 WebSockets library.

Package: libqt6websockets6
Architecture: all
Depends: qt6-websockets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6websockets6-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebsockets
Architecture: all
Depends: qt6-websockets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-private-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-doc-html
Architecture: all
Depends: qt6-websockets-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-doc-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-examples
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,30 @@
 #!/usr/bin/make -f
+export DH_VERBOSE = 1
+
+# Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	extra_cmake_args += -DQT_HOST_PATH=/usr
-endif
-
-# enable ccache with corresponding build-profile
-ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
-	extra_cmake_args += -DQT_USE_CCACHE=ON
+	cmake_extra_args += \
+		-DQT_HOST_PATH=/usr \
+		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
+		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
 
 %:
-	dh $@ --buildsystem=cmake+ninja
+	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--log-level=STATUS \
+		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		$(extra_cmake_args)
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
+		-DQT_UNITY_BUILD=ON \
+		$(cmake_extra_args)
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

## qt6-websockets 6.10.1

=== debian/changelog ===
qt6-websockets (6.10.1-0zneon+24.04+noble+stable+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:47:46 +0000

qt6-websockets (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
@@ -31,7 +31,7 @@
 X-Neon-MergedPackage: true
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: qt6-websockets-private-abi (= 6.10.0)
+Provides: qt6-websockets-private-abi (= 6.10.1)
 Replaces: libqt6websockets6, qml6-module-qtwebsockets
 Description: Qt 6 WebSockets library
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(cmake_extra_args)

## qt6-websockets 6.10.2

=== src/imports/qmlwebsockets/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,7 @@
     PAST_MAJOR_VERSIONS 1
     CLASS_NAME QtWebSocketsDeclarativeModule
     PLUGIN_TARGET qmlwebsockets
-    NO_PLUGIN_OPTIONAL
-    NO_GENERATE_PLUGIN_SOURCE
-    NO_GENERATE_QMLTYPES
-    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
     SOURCES
-        qmlwebsockets_plugin.cpp qmlwebsockets_plugin.h
         qqmlwebsocket.cpp qqmlwebsocket.h
         qqmlwebsocketserver.cpp qqmlwebsocketserver.h
     DEFINES

=== debian/changelog ===
qt6-websockets (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Feb 2026 19:29:57 +0100

=== debian/control ===
Source: qt6-websockets
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-websockets.git

Package: libqt6websockets6
Provides: qt6-websockets-private-abi (= 6.10.2),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qml6-module-qtwebsockets
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 WebSockets QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Web Sockets QML module.

Package: qt6-websockets-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6websockets6 (= ${binary:Version}),
         qml6-module-qtwebsockets (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6websockets6-dev (<< 6.4.0-2~),
Replaces: libqt6websockets6-dev (<< 6.4.0-2~),
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

Package: qt6-websockets-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-websockets-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 WebSockets library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private development header files needed
 to build Qt applications using Qt 6 WebSockets library.
 .
 Use at your own risk.

Package: qt6-websockets-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 web sockets documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 web sockets.

Package: qt6-websockets-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 web sockets HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 web sockets.

Package: qt6-websockets-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 websockets tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt web sockets
 documentation.

Package: qt6-websockets-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 web sockets examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt web sockets submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtwebsockets-everywhere-src-(.*)\.tar\.xz
